// ANCHOR: here
use rand::Rng;
use std::cmp::Ordering;
use std::io;

fn main() {
    // --fragment pominięty--
    // ANCHOR_END: here
    println!("Zgadnij liczbę!");

    let secret_number = rand::thread_rng().gen_range(1..=100);

    println!("TSekretna liczba to: {secret_number}");

    println!("Wpisz swój typ.");

    let mut guess = String::new();

    io::stdin()
        .read_line(&mut guess)
        .expect("Nie udało się odczytać linii");
    // ANCHOR: here

    println!("Twój typ to: {guess}");

    match guess.cmp(&secret_number) {
        Ordering::Less => println!("Za mała liczba!"),
        Ordering::Greater => println!("Za mała liczba!"),
        Ordering::Equal => println!("Zgadłeś!"),
    }
}
// ANCHOR_END: here
